


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: BookUserCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: BookUserCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">BookUserCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 20)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.ProjectService;
<i>6</i>&nbsp;import com.dema.timeregistration.service.UserBookingService;
<i>7</i>&nbsp;import com.dema.timeregistration.service.UserService;
<i>8</i>&nbsp;import com.dema.timeregistration.service.models.BookUserRequest;
<i>9</i>&nbsp;
<i>10</i>&nbsp;import java.util.Set;
<i>11</i>&nbsp;
<i>12</i>&nbsp;public class BookUserCommand implements Command {
<i>13</i>&nbsp;    private final UserBookingService userBookingService;
<i>14</i>&nbsp;    private final UserService userService;
<i>15</i>&nbsp;    private final ProjectService projectService;
<i>16</i>&nbsp;    private final ApplicationContext applicationContext;
<i>17</i>&nbsp;
<b class="nc"><i>18</i>&nbsp;    public BookUserCommand(UserBookingService userBookingService, UserService userService, ProjectService projectService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>19</i>&nbsp;        this.userBookingService = userBookingService;</b>
<b class="nc"><i>20</i>&nbsp;        this.userService = userService;</b>
<b class="nc"><i>21</i>&nbsp;        this.projectService = projectService;</b>
<b class="nc"><i>22</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>23</i>&nbsp;    }</b>
<i>24</i>&nbsp;
<i>25</i>&nbsp;    @Override
<i>26</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>27</i>&nbsp;        return &quot;Book a user for a project using parameters:\n-u email of the user\n-p name of project\n-c name of&quot; +</b>
<i>28</i>&nbsp;                &quot; company\n-s start time of booking\n-e end time of booking\nExample of usage:\nbook-user -u&quot; +
<i>29</i>&nbsp;                &quot; \&quot;daniel@kuzin.dk\&quot; -p \&quot;My Project\&quot; -c \&quot;My Company\&quot; -s \&quot;01/01/2019 12:00\&quot; -e \&quot;31/01/2019 12:00\&quot;&quot;;
<i>30</i>&nbsp;    }
<i>31</i>&nbsp;
<i>32</i>&nbsp;    @Override
<i>33</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>34</i>&nbsp;        return CommandGroup.USER_BOOKING;</b>
<i>35</i>&nbsp;    }
<i>36</i>&nbsp;
<i>37</i>&nbsp;    @Override
<i>38</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>39</i>&nbsp;        return &quot;book-user&quot;;</b>
<i>40</i>&nbsp;    }
<i>41</i>&nbsp;
<i>42</i>&nbsp;    @Override
<i>43</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>44</i>&nbsp;        return Utils.newHashSet(</b>
<i>45</i>&nbsp;                new Parameter(&quot;u&quot;),
<i>46</i>&nbsp;                new Parameter(&quot;p&quot;),
<i>47</i>&nbsp;                new Parameter(&quot;c&quot;),
<i>48</i>&nbsp;                new Parameter(&quot;s&quot;),
<i>49</i>&nbsp;                new Parameter(&quot;e&quot;)
<i>50</i>&nbsp;        );
<i>51</i>&nbsp;    }
<i>52</i>&nbsp;
<i>53</i>&nbsp;    @Override
<i>54</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>55</i>&nbsp;        int userId = userService.getUserId(parsedCommand.get(&quot;u&quot;));</b>
<i>56</i>&nbsp;
<b class="nc"><i>57</i>&nbsp;        int projectId = projectService.getProjectId(parsedCommand.get(&quot;c&quot;), parsedCommand.get(&quot;p&quot;));</b>
<i>58</i>&nbsp;
<b class="nc"><i>59</i>&nbsp;        BookUserRequest bookUserRequest = new BookUserRequest();</b>
<b class="nc"><i>60</i>&nbsp;        bookUserRequest.setUserId(userId);</b>
<b class="nc"><i>61</i>&nbsp;        bookUserRequest.setProjectId(projectId);</b>
<b class="nc"><i>62</i>&nbsp;        bookUserRequest.setStartTime(parsedCommand.get(&quot;s&quot;));</b>
<b class="nc"><i>63</i>&nbsp;        bookUserRequest.setEndTime(parsedCommand.get(&quot;e&quot;));</b>
<i>64</i>&nbsp;
<b class="nc"><i>65</i>&nbsp;        userBookingService.bookUser(bookUserRequest, applicationContext.getUserContextOrThrow());</b>
<b class="nc"><i>66</i>&nbsp;        System.out.println(&quot;The user was booked succesfully&quot;);</b>
<b class="nc"><i>67</i>&nbsp;    }</b>
<i>68</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
